- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions
GLM_GTX_euler_angles: Matrix from euler angles
GTX Extensions (Experimental)

Build matrices from Euler angles. More...

## Functions
template<typename valType >
detail::tmat4x4< valType > | eulerAngleX (valType const &angleX)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleXY (valType const &angleX, valType const &angleY)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleXZ (valType const &angleX, valType const &angleZ)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleY (valType const &angleY)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleYX (valType const &angleY, valType const &angleX)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleYXZ (valType const &yaw, valType const &pitch, valType const &roll)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleYZ (valType const &angleY, valType const &angleZ)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleZ (valType const &angleZ)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleZX (valType const &angleZ, valType const &angleX)
template<typename valType >
detail::tmat4x4< valType > | eulerAngleZY (valType const &angleZ, valType const &angleY)
template<typename T >
detail::tmat2x2< T > | orientate2 (T const &angle)
template<typename T >
detail::tmat3x3< T > | orientate3 (detail::tvec3< T > const &angles)
template<typename T >
detail::tmat3x3< T > | orientate3 (T const &angle)
template<typename T >
detail::tmat4x4< T > | orientate4 (detail::tvec3< T > const &angles)
template<typename valType >
detail::tmat4x4< valType > | yawPitchRoll (valType const &yaw, valType const &pitch, valType const &roll)

## Detailed Description

Build matrices from Euler angles.

<glm/gtx/euler_angles.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleX | ( | valType const & | angleX | ) |

Creates a 3D 4 * 4 homogeneous rotation matrix from an euler angle X.

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleXY | ( | valType const & | angleX,
|  | valType const & | angleY
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (X * Y).

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleXZ | ( | valType const & | angleX,
|  | valType const & | angleZ
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (X * Z).

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleY | ( | valType const & | angleY | ) |

Creates a 3D 4 * 4 homogeneous rotation matrix from an euler angle Y.

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleYX | ( | valType const & | angleY,
|  | valType const & | angleX
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * X).

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleYXZ | ( | valType const & | yaw,
|  | valType const & | pitch,
|  | valType const & | roll
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * X * Z).

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleYZ | ( | valType const & | angleY,
|  | valType const & | angleZ
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * Z).

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleZ | ( | valType const & | angleZ | ) |

Creates a 3D 4 * 4 homogeneous rotation matrix from an euler angle Z.

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleZX | ( | valType const & | angleZ,
|  | valType const & | angleX
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Z * X).

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::eulerAngleZY | ( | valType const & | angleZ,
|  | valType const & | angleY
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Z * Y).

From GLM_GTX_euler_angles extension.

detail::tmat2x2<T> glm::gtx::euler_angles::orientate2 | ( | T const & | angle | ) |

Creates a 2D 2 * 2 rotation matrix from an euler angle.

From GLM_GTX_euler_angles extension.

detail::tmat3x3<T> glm::gtx::euler_angles::orientate3 | ( | detail::tvec3< T > const & | angles | ) |

Creates a 3D 3 * 3 rotation matrix from euler angles (Y * X * Z).

From GLM_GTX_euler_angles extension.

detail::tmat3x3<T> glm::gtx::euler_angles::orientate3 | ( | T const & | angle | ) |

Creates a 2D 4 * 4 homogeneous rotation matrix from an euler angle.

From GLM_GTX_euler_angles extension.

detail::tmat4x4<T> glm::gtx::euler_angles::orientate4 | ( | detail::tvec3< T > const & | angles | ) |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * X * Z).

From GLM_GTX_euler_angles extension.

detail::tmat4x4<valType> glm::gtx::euler_angles::yawPitchRoll | ( | valType const & | yaw,
|  | valType const & | pitch,
|  | valType const & | roll
| ) |  |

Creates a 3D 4 * 4 homogeneous rotation matrix from euler angles (Y * X * Z).

From GLM_GTX_euler_angles extension.